import sys
forge = sys.modules["forge"]

def setup(module):

	srcList = [	"BasisSpline",
				"ConvergentSpline",
				"InvKineCCD",
				"PointConnect",
				"geometry.pmh",
				"geometryDL"
				]

	dll = module.DLL( "fexGeometryDL", srcList )

	deplibs = forge.corelibs+ [
				"feSignalLib",
				"fexMathLib",
				"fexDataToolLib" ]

	forge.deps( ["fexGeometryDLLib"], deplibs )

#	forge.tests += [
#		("inspect.exe",		"fexGeometryDL",				None,		None) ]

	module.Module( 'test' )
